Bug 1721895 - The VM power off dialog shows unusual name of VM.
Summary: The VM power off dialog shows unusual name of VM.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - GCE
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Kavita
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1721890
TreeView+ depends on / blocked
 
Reported: 2019-06-19 08:42 UTC by Jitendra Yejare
Modified: 2019-10-22 19:50 UTC (History)
1 user (show)

Fixed In Version: foreman-1.22.0.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:50:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
[Verified Screenshot] Correct VM Name on dialog (55.02 KB, image/png)
2019-07-01 11:58 UTC, Jitendra Yejare
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26814 Normal Closed The VM power off dialog shows unusual name of VM. 2019-12-19 15:42:40 UTC

Description Jitendra Yejare 2019-06-19 08:42:33 UTC
Description:
-------------------
The VM power off dialog shows the unusual name of VM.

Step:
---------
1. Create/Integrate a Compute Resource of GCE in/with the foreman.
2. Wait for all the VMs to be listed in VMs tab under GCE CR.
3. Click the Power off/on the button and wait for the dialog to display for confirmation.

Actual Result:
----------------
The VM power off dialog shows the unusual name of VM.

Expected Result:
-----------------
The VM power off dialog should show an actual VM name as it is from GCE.

Comment 1 Jitendra Yejare 2019-06-19 08:42:39 UTC
Created from redmine issue https://projects.theforeman.org/issues/26814

Comment 2 Jitendra Yejare 2019-06-19 08:42:45 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 4 Bryan Kearney 2019-06-19 10:05:17 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26814 has been resolved.

Comment 5 Jitendra Yejare 2019-06-25 11:34:32 UTC
Testing Notes:

As per upstream PR (https://github.com/theforeman/foreman/pull/6747#issuecomment-494395694) :
This also fixes/adds More fields under GCE CR -> VM -> Details (Associated and disassociated vm).
Those fields are:  created, image.

Comment 7 Jitendra Yejare 2019-07-01 11:58:16 UTC
Created attachment 1586250 [details]
[Verified Screenshot] Correct VM Name on dialog

Comment 8 Jitendra Yejare 2019-07-01 12:00:16 UTC
Verified!

@ satellite 6.6 snap 9


Steps:
----------
1. Create/Integrate a Compute Resource of GCE in/with the foreman.
2. Wait for all the VMs to be listed in VMs tab under GCE CR.
3. Click the Power off/on the button and wait for the dialog to display for confirmation.

Actual Result:
----------------
The VM power off dialog shows the correct name of VM now. (Screenshot is attached)

Comment 9 Bryan Kearney 2019-10-22 19:50:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.